http_header_t Struct Reference
Collaboration diagram for http_header_t:
[legend]

## Data Fields

memptr | name
int | name_id
membuffer | value
membuffer | name_buf

## Field Documentation

## name

memptr http_header_t::name

header name as a string.

Referenced by Check_Connect_And_Wait_Connection(), CheckOtherHTTPHeaders(), ExtraHTTPHeaders(), and print_http_headers().

## name_id

int http_header_t::name_id

header name id (for a selective group of headers only).

## value

membuffer http_header_t::value

raw-value; could be multi-lined; min-length = 0.

Referenced by Check_Connect_And_Wait_Connection(), CheckOtherHTTPHeaders(), ExtraHTTPHeaders(), get_mpost_acton_hdrval(), and print_http_headers().

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/src/inc/httpparser.h